/* FixedDateXMLCoder.java created by joransen on Wed 24-May-2000 */

import com.apple.yellow.foundation.*;
import com.apple.webobjects.xml.*;

public class FixedDateXMLCoder extends WOXMLCoder {

    // Handles NSDates and NSGregorianDates.
    protected void _encodeDateForKey(NSDate aDate, String aKey) {
        String className = aDate.getClass().getName();
        //encodeStringInTag(aDate.toString(), aKey, className);
        try {
            encodeStringInTag(new NSGregorianDateFormatter("%Y-%m-%d %H:%M:%S %z", false).stringForObjectValue(aDate), aKey, className);
        } catch (NSFormatter.FormattingException e) {
            System.out.println(e);
        }
    }

}

